<?php
include "ver_sessao.php";
include "conecta.php";



function index(){

	
	cabecalho('Classificação de Ocupações',2);
	
		
	if($_POST[busca_cod] != '')
		$extra .= " AND cbo_nb_id = '$_POST[busca_cod]' ";
	if($_POST[busca_identificador] != '')
		$extra .= " AND cbo_tx_codigo LIKE '%$_POST[busca_identificador]%' ";
	if($_POST[busca_nome] != '')
		$extra .= " AND cbo_tx_nome LIKE '%$_POST[busca_nome]%' ";

	
	$sql = selecionar("cbo",'cbo_tx_status',"ativo"," $extra  ORDER BY cbo_nb_id ASC",1);
	$BUSCA = grid::gerar_paginacao($sql);
	
		// CAMPOS
	$c1[] = cactux::campo('Código:','busca_cod',$_POST[busca_cod],1);
	$c1[] = cactux::campo('Identificador:','busca_identificador',$_POST[busca_identificador],2);
	$c1[] = cactux::campo('Nome:','busca_nome',$_POST[busca_nome],5);
	
		// BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir_cbo');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	$status = cactux::msg_status();

	
	cactux::abre_form();

	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c1[0],$c1[1],$c1[2],$c1[3]);
	cactux::linha_fieldset($buscar,$inserir,$imprimir,$status);
	cactux::fecha_fieldset();

	cactux::fecha_form();	
	cactux::acao_botao('inserir_cbo','layout_cbo');

	
		// PARA MANDAR A CONSULTA PARA A TELA DE IMPRESSÃO
	$sql = str_replace(",",";",$sql);
	cactux::acao_botao('imprimir','imprime_busca','sql',$sql,'','','target=_blank');


	
	$cabecalho[] = array('COD.','IDENT.','NOME','','');
	$cabecalho[] = 'c,c,e';
	$cabecalho[] = '6%,10%,,2%,2%';
	
	while($a = carrega_array($BUSCA[0])){
		 
		$icone_modificar = ".icone_modificar($a[cbo_nb_id],'modifica_cbo')";
		$icone_excluir = ".icone_excluir($a[cbo_nb_id],'exclui_cbo')";
		
		$valores[] = array($a[cbo_nb_id],$a[cbo_tx_codigo],$a[cbo_tx_nome],$icone_modificar,$icone_excluir);		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();	
}




function layout_cbo(){	
global $a_mod;
	

	cabecalho('Classificação de Ocupações',2);

	cactux::abre_form();

	
		// DADOS
	$c1[] = cactux::campo('* Identificador:','identificador',$a_mod[cbo_tx_codigo],2);
	$c1[] = cactux::campo('* Nome:','nome',$a_mod[cbo_tx_nome],8);
	
	
		// BOTOES	
	$voltar = cactux::botao('Voltar',2,'voltar');
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_cbo','id',"$_POST[id]");

	
	cactux::abre_fieldset('Dados do CBO');
	cactux::linha_fieldset($c1[0],$c1[1]);
	cactux::linha_fieldset($voltar,$gravar);
	cactux::fecha_fieldset();


	
	cactux::fecha_form();

	cactux::acao_botao('voltar','index');
	
	rodape();	
}



function imprime_busca(){
	
	cabecaRelatorio('RELATÓRIO DE FUNÇÕES');

	
	if($_POST[busca_cod] != '')
		$extra .= " AND cbo_nb_id = '$_POST[busca_cod]' ";
	if($_POST[busca_identificador] != '')
		$extra .= " AND cbo_tx_codigo LIKE '%$_POST[busca_identificador]%' ";
	if($_POST[busca_nome] != '')
		$extra .= " AND cbo_tx_nome LIKE '%$_POST[busca_nome]%' ";
	
	$sql = $_POST[sql];
	$sql = str_replace(";",",",$sql);
	$sql = str_replace("\\","",$sql);
	$sql = query($sql);

	
	cactux::abre_form('');

	
	$c1[] = cactux::texto('Código:',$_POST['busca_cod'].'&nbsp;',2);
	$c1[] = cactux::texto('Identificador:',$_POST['busca_identificador'],2);
	$c1[] = cactux::texto('Nome:',$_POST['busca_nome'],6);
	
	cactux::abre_fieldset('Filtro de Busca');	
	cactux::linha_fieldset($c1[0],$c1[1],$c1[2]);
	cactux::fecha_fieldset();


	cactux::fecha_form();
	
	echo"<br>";
	
	$cabecalho[] = array('COD.','IDENT.','NOME');
	$cabecalho[] = 'c,c,e';
	$cabecalho[] = '6%,15%,';
	
	while( $a = carrega_array($sql) ){
		
		$valores[] = array($a[cbo_nb_id],$a[cbo_tx_codigo],$a[cbo_tx_nome]);		
	}
	
	grid::gerar($cabecalho,$valores);	
}



function cadastra_cbo(){


	if ( trim($_POST[nome])=='' ) {		
		set_status('ATENÇÃO: Informe um nome!');
		if ($_POST[id])
			modifica_cbo();
		else
			layout_cbo();
		exit;
	}


	$campos = array(cbo_tx_nome,cbo_tx_codigo,cbo_tx_status);	
	$valores= array($_POST[nome],$_POST[identificador],'ativo');

	

	if ($_POST[id]) {		
		atualizar('cbo',$campos,$valores,$_POST[id]);
	}else{
		inserir('cbo',$campos,$valores);
	}

	index();
	exit;	
}



function modifica_cbo(){
	
global $a_mod;
	
	$a_mod = carregar('cbo',$_POST[id]);
	
	layout_cbo();
	exit;	
}



function exclui_cbo(){
	
	remover('cbo',$_POST[id]);
	
	index();
	exit;
}



controle();
?>